diff --git a/oflog/libsrc/Makefile.dep b/oflog/libsrc/Makefile.dep
index a7a7b1f..6562f92 100644
--- a/oflog/libsrc/Makefile.dep
+++ b/oflog/libsrc/Makefile.dep
@@ -7,27 +7,99 @@ apndimpl.o: apndimpl.cc ../include/dcmtk/oflog/appender.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/layout.h ../include/dcmtk/oflog/loglevel.h \
- ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/helpers/apndimpl.h \
+ ../include/dcmtk/oflog/spi/apndatch.h \
+ ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
+appender.o: appender.cc ../include/dcmtk/oflog/appender.h \
+ ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/logmacro.h ../include/dcmtk/oflog/logger.h \
+ ../include/dcmtk/oflog/spi/apndatch.h \
+ ../include/dcmtk/oflog/spi/logfact.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h \
+ ../include/dcmtk/oflog/tracelog.h \
+ ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/helpers/strhelp.h \
  ../include/dcmtk/oflog/helpers/property.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/spi/factory.h ../include/dcmtk/oflog/spi/objreg.h \
  ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
+ ../include/dcmtk/oflog/mdc.h ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/internal/internal.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
+asyncap.o: asyncap.cc ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../include/dcmtk/oflog/asyncap.h ../include/dcmtk/oflog/helpers/queue.h \
+ ../include/dcmtk/oflog/spi/logevent.h \
  ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/appender.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
  ../include/dcmtk/oflog/helpers/apndimpl.h \
  ../include/dcmtk/oflog/spi/apndatch.h \
- ../include/dcmtk/oflog/helpers/loglog.h
-appender.o: appender.cc ../include/dcmtk/oflog/appender.h \
- ../include/dcmtk/oflog/config.h \
+ ../include/dcmtk/oflog/spi/factory.h ../include/dcmtk/oflog/spi/objreg.h \
+ ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
+clfsap.o: clfsap.cc ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
  ../../ofstd/include/dcmtk/ofstd/ofcast.h \
@@ -35,25 +107,57 @@ appender.o: appender.cc ../include/dcmtk/oflog/appender.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/layout.h ../include/dcmtk/oflog/loglevel.h \
- ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/tstring.h \
+ ../include/dcmtk/oflog/helpers/loglog.h ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
  ../include/dcmtk/oflog/helpers/property.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/clfsap.h ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
  ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/factory.h ../include/dcmtk/oflog/spi/objreg.h \
+ ../include/dcmtk/oflog/config/windowsh.h
+clogger.o: clogger.cc ../include/dcmtk/oflog/logger.h \
+ ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/spi/apndatch.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/logfact.h ../include/dcmtk/oflog/clogger.h \
+ ../include/dcmtk/oflog/hierarchy.h \
+ ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
  ../include/dcmtk/oflog/helpers/loglog.h \
- ../include/dcmtk/oflog/helpers/strhelp.h \
- ../include/dcmtk/oflog/spi/factory.h ../include/dcmtk/oflog/spi/objreg.h
+ ../include/dcmtk/oflog/spi/logimpl.h \
+ ../include/dcmtk/oflog/helpers/apndimpl.h \
+ ../include/dcmtk/oflog/configrt.h \
+ ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h
 config.o: config.cc ../include/dcmtk/oflog/configrt.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -63,34 +167,36 @@ config.o: config.cc ../include/dcmtk/oflog/configrt.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/appender.h ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/logger.h ../include/dcmtk/oflog/spi/apndatch.h \
+ ../include/dcmtk/oflog/spi/logfact.h \
  ../include/dcmtk/oflog/helpers/property.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h ../include/dcmtk/oflog/hierarchy.h \
- ../include/dcmtk/oflog/logger.h ../include/dcmtk/oflog/spi/apndatch.h \
- ../include/dcmtk/oflog/spi/logfact.h ../include/dcmtk/oflog/logmacro.h \
- ../include/dcmtk/oflog/hierlock.h \
+ ../include/dcmtk/oflog/hierlock.h ../include/dcmtk/oflog/hierarchy.h \
  ../include/dcmtk/oflog/helpers/loglog.h \
  ../include/dcmtk/oflog/helpers/sleep.h \
  ../include/dcmtk/oflog/helpers/strhelp.h \
- ../include/dcmtk/oflog/helpers/syncprims.h \
- ../include/dcmtk/oflog/helpers/syncppth.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/helpers/fileinfo.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/thread/syncpub.h \
  ../include/dcmtk/oflog/spi/factory.h ../include/dcmtk/oflog/spi/objreg.h \
  ../include/dcmtk/oflog/spi/logimpl.h \
- ../include/dcmtk/oflog/helpers/apndimpl.h
+ ../include/dcmtk/oflog/helpers/apndimpl.h \
+ ../include/dcmtk/oflog/internal/env.h
 consap.o: consap.cc ../include/dcmtk/oflog/layout.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -100,27 +206,30 @@ consap.o: consap.cc ../include/dcmtk/oflog/layout.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/consap.h ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/helpers/strhelp.h \
  ../include/dcmtk/oflog/helpers/property.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
  ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/consap.h \
- ../include/dcmtk/oflog/appender.h ../include/dcmtk/oflog/spi/filter.h \
- ../include/dcmtk/oflog/helpers/loglog.h \
- ../include/dcmtk/oflog/helpers/strhelp.h \
- ../../ofstd/include/dcmtk/ofstd/ofconsol.h \
- ../../ofstd/include/dcmtk/ofstd/ofthread.h
-factory.o: factory.cc ../include/dcmtk/oflog/spi/factory.h \
+ ../include/dcmtk/oflog/mdc.h ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
+cygwin32.o: cygwin32.cc
+env.o: env.cc ../include/dcmtk/oflog/internal/env.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
@@ -129,32 +238,54 @@ factory.o: factory.cc ../include/dcmtk/oflog/spi/factory.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/appender.h ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/helpers/strhelp.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/streams.h
+factory.o: factory.cc ../include/dcmtk/oflog/spi/factory.h \
+ ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/objreg.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/spi/logfact.h \
+ ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/asyncap.h ../include/dcmtk/oflog/helpers/queue.h \
  ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h ../include/dcmtk/oflog/spi/objreg.h \
- ../include/dcmtk/oflog/spi/logfact.h ../include/dcmtk/oflog/consap.h \
+ ../include/dcmtk/oflog/mdc.h ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/helpers/apndimpl.h \
+ ../include/dcmtk/oflog/spi/apndatch.h ../include/dcmtk/oflog/consap.h \
  ../include/dcmtk/oflog/fileap.h ../include/dcmtk/oflog/fstreams.h \
- ../include/dcmtk/oflog/nullap.h ../include/dcmtk/oflog/socketap.h \
+ ../include/dcmtk/oflog/ntelogap.h ../include/dcmtk/oflog/nullap.h \
+ ../include/dcmtk/oflog/socketap.h \
  ../include/dcmtk/oflog/helpers/socket.h \
  ../include/dcmtk/oflog/helpers/sockbuff.h \
- ../include/dcmtk/oflog/helpers/syncprims.h \
- ../include/dcmtk/oflog/helpers/syncppth.h \
- ../include/dcmtk/oflog/syslogap.h \
- ../include/dcmtk/oflog/helpers/loglog.h
+ ../include/dcmtk/oflog/syslogap.h ../include/dcmtk/oflog/windebap.h \
+ ../include/dcmtk/oflog/winconap.h ../include/dcmtk/oflog/log4judp.h
 fileap.o: fileap.cc ../include/dcmtk/oflog/fileap.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -164,25 +295,49 @@ fileap.o: fileap.cc ../include/dcmtk/oflog/fileap.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/appender.h ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/fstreams.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/helpers/strhelp.h \
  ../include/dcmtk/oflog/helpers/property.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/helpers/fileinfo.h \
  ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h ../include/dcmtk/oflog/fstreams.h \
- ../include/dcmtk/oflog/helpers/loglog.h \
- ../include/dcmtk/oflog/helpers/strhelp.h
+ ../include/dcmtk/oflog/mdc.h ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/spi/factory.h ../include/dcmtk/oflog/spi/objreg.h \
+ ../include/dcmtk/oflog/thread/syncpub.h \
+ ../include/dcmtk/oflog/internal/internal.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h
+fileinfo.o: fileinfo.cc ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../include/dcmtk/oflog/helpers/fileinfo.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/tchar.h
 filter.o: filter.cc ../include/dcmtk/oflog/spi/filter.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -193,21 +348,24 @@ filter.o: filter.cc ../include/dcmtk/oflog/spi/filter.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../include/dcmtk/oflog/helpers/property.h \
- ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/tstring.h \
- ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/strhelp.h \
+ ../include/dcmtk/oflog/helpers/property.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/loglevel.h \
- ../include/dcmtk/oflog/ndc.h ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/helpers/loglog.h \
- ../include/dcmtk/oflog/helpers/strhelp.h
+ ../include/dcmtk/oflog/spi/logevent.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
 globinit.o: globinit.cc ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
@@ -216,26 +374,36 @@ globinit.o: globinit.cc ../include/dcmtk/oflog/config.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/logger.h ../include/dcmtk/oflog/loglevel.h \
- ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/tstring.h \
- ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../include/dcmtk/oflog/config/windowsh.h ../include/dcmtk/oflog/logger.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/spi/apndatch.h ../include/dcmtk/oflog/appender.h \
- ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
- ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/spi/apndatch.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/logfact.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/internal/internal.h \
+ ../include/dcmtk/oflog/spi/logevent.h \
  ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h ../include/dcmtk/oflog/spi/logfact.h \
- ../include/dcmtk/oflog/logmacro.h \
- ../include/dcmtk/oflog/helpers/loglog.h
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h \
+ ../include/dcmtk/oflog/thread/syncpub.h \
+ ../include/dcmtk/oflog/spi/factory.h ../include/dcmtk/oflog/spi/objreg.h \
+ ../include/dcmtk/oflog/hierarchy.h \
+ ../../ofstd/include/dcmtk/ofstd/ofconsol.h \
+ ../../ofstd/include/dcmtk/ofstd/ofthread.h
 hierarchy.o: hierarchy.cc ../include/dcmtk/oflog/hierarchy.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -246,30 +414,29 @@ hierarchy.o: hierarchy.cc ../include/dcmtk/oflog/hierarchy.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
  ../include/dcmtk/oflog/logger.h ../include/dcmtk/oflog/loglevel.h \
- ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/tstring.h \
- ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/spi/apndatch.h ../include/dcmtk/oflog/appender.h \
- ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/spi/apndatch.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/logfact.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h ../include/dcmtk/oflog/spi/logfact.h \
- ../include/dcmtk/oflog/logmacro.h \
  ../include/dcmtk/oflog/helpers/loglog.h \
  ../include/dcmtk/oflog/spi/logimpl.h \
  ../include/dcmtk/oflog/helpers/apndimpl.h \
- ../include/dcmtk/oflog/spi/rootlog.h
+ ../include/dcmtk/oflog/spi/rootlog.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
 hierlock.o: hierlock.cc ../include/dcmtk/oflog/hierlock.h \
- ../include/dcmtk/oflog/hierarchy.h ../include/dcmtk/oflog/config.h \
+ ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
  ../../ofstd/include/dcmtk/ofstd/ofcast.h \
@@ -277,28 +444,27 @@ hierlock.o: hierlock.cc ../include/dcmtk/oflog/hierlock.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/logger.h ../include/dcmtk/oflog/loglevel.h \
- ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/tstring.h \
+ ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/spi/apndatch.h ../include/dcmtk/oflog/appender.h \
- ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/logger.h ../include/dcmtk/oflog/spi/apndatch.h \
+ ../include/dcmtk/oflog/spi/logfact.h ../include/dcmtk/oflog/hierarchy.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h ../include/dcmtk/oflog/spi/logfact.h \
- ../include/dcmtk/oflog/logmacro.h \
  ../include/dcmtk/oflog/helpers/loglog.h \
  ../include/dcmtk/oflog/spi/logimpl.h \
- ../include/dcmtk/oflog/helpers/apndimpl.h
+ ../include/dcmtk/oflog/helpers/apndimpl.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
 layout.o: layout.cc ../include/dcmtk/oflog/layout.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -308,23 +474,27 @@ layout.o: layout.cc ../include/dcmtk/oflog/layout.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
- ../../ofstd/include/dcmtk/ofstd/ofmap.h \
- ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/strhelp.h \
  ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
+ ../include/dcmtk/oflog/spi/logevent.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/thread/threads.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/helpers/strhelp.h
-lloguser.o: lloguser.cc ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/internal/internal.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h
+lloguser.o: lloguser.cc ../include/dcmtk/oflog/helpers/lloguser.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
